function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
function _object_without_properties(source, excluded) {
    if (source == null) return {};
    var target = {}, sourceKeys, key, i;
    if (typeof Reflect !== "undefined" && Reflect.ownKeys) {
        sourceKeys = Reflect.ownKeys(source);
        for(i = 0; i < sourceKeys.length; i++){
            key = sourceKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
        return target;
    }
    target = _object_without_properties_loose(source, excluded);
    if (Object.getOwnPropertySymbols) {
        sourceKeys = Object.getOwnPropertySymbols(source);
        for(i = 0; i < sourceKeys.length; i++){
            key = sourceKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
    }
    return target;
}
function _object_without_properties_loose(source, excluded) {
    if (source == null) return {};
    var target = {}, sourceKeys = Object.getOwnPropertyNames(source), key, i;
    for(i = 0; i < sourceKeys.length; i++){
        key = sourceKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
        target[key] = source[key];
    }
    return target;
}
import React from "react";
export var WgslIcon = function WgslIcon(_0) {
    var _0_size = _0.size, size = _0_size === void 0 ? '1em' : _0_size, props = _object_without_properties(_0, [
        "size"
    ]);
    return /*#__PURE__*/ React.createElement("svg", _object_spread_props(_object_spread({
        width: size,
        height: size
    }, props), {
        viewBox: "0 0 768 600",
        xmlns: "http://www.w3.org/2000/svg"
    }), /*#__PURE__*/ React.createElement("defs", null, /*#__PURE__*/ React.createElement("style", null, ".cls-1 { fill: #005a9c; } .cls-1, .cls-2, .cls-3, .cls-4, .cls-5, .cls-6 { fillRule: evenodd; } .cls-2 { fill: #0066b0; } .cls-3 { fill: #0076cc; } .cls-4 { fill: #0086e8; } .cls-5 { fill: #0093ff; }")), /*#__PURE__*/ React.createElement("path", {
        id: "Triangle_1",
        "data-name": "Triangle 1",
        className: "cls-1",
        d: "M 293.6275,508.5 52.8725,91.5 h 481.51 z"
    }), /*#__PURE__*/ React.createElement("path", {
        id: "Triangle_2",
        "data-name": "Triangle 2",
        className: "cls-2",
        d: "m 534.6275,91.5 -120.5,208 h 241 z"
    }), /*#__PURE__*/ React.createElement("path", {
        id: "Triangle_3",
        "data-name": "Triangle 3",
        className: "cls-3",
        d: "m 534.6275,507.5 -120.5,-208 h 241 z"
    }), /*#__PURE__*/ React.createElement("path", {
        id: "Triangle_4",
        "data-name": "Triangle 4",
        className: "cls-4",
        d: "m 654.6275,300.5 -60.5,-104 h 121 z"
    }), /*#__PURE__*/ React.createElement("path", {
        id: "Triangle_5",
        "data-name": "Triangle 5",
        className: "cls-5",
        d: "m 654.6275,92.5 -60.5,104 h 121 z"
    }));
};
export default WgslIcon;
